Bug 1184534 - (CVE-2021-1405) VUL-0: CVE-2021-1405: clamav: denial of service in the PDF parsing module
(CVE-2021-1405)
VUL-0: CVE-2021-1405: clamav: denial of service in the PDF parsing module
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/281448/
CVSSv3.1:SUSE:CVE-2021-1405:7.5:(AV:N...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-04-09 06:56 UTC by Robert Frohl
Modified: 2022-06-10 12:35 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2021-04-09 06:56:15 UTC
CVE-2021-1405

A vulnerability in the PDF parsing module in Clam AntiVirus (ClamAV) Software
versions 0.103.0 and 0.103.1 could allow an unauthenticated, remote attacker to
cause a denial of service condition on an affected device. The vulnerability is
due to improper buffer size tracking that may result in a heap buffer over-read.
An attacker could exploit this vulnerability by sending a crafted PDF file to an
affected device. An exploit could allow the attacker to cause the ClamAV
scanning process to crash, resulting in a denial of service condition.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-1405
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-1405
https://blog.clamav.net/2021/04/clamav-01032-security-patch-release.html
Comment 1 Robert Frohl 2021-04-09 06:56:52 UTC
tracking all codestreams as affected:

- SUSE:SLE-11-SP1:Update/clamav
- SUSE:SLE-12:Update/clamav
- SUSE:SLE-12-SP5:Update/clamav
- SUSE:SLE-15:Update/clamav

openSUSE TW is affected too
Comment 2 OBSbugzilla Bot 2021-04-09 11:50:08 UTC
This is an autogenerated message for OBS integration:
This bug (1184534) was mentioned in
https://build.opensuse.org/request/show/884035 Factory / clamav
Comment 4 Swamp Workflow Management 2021-04-13 19:44:26 UTC
SUSE-SU-2021:1174-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1181256,1184532,1184533,1184534
CVE References: CVE-2021-1252,CVE-2021-1404,CVE-2021-1405
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    clamav-0.103.2-3.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2021-04-14 13:18:56 UTC
SUSE-SU-2021:14692-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1181256,1184532,1184533,1184534
CVE References: CVE-2021-1252,CVE-2021-1404,CVE-2021-1405
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    clamav-0.103.2-0.20.35.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    clamav-0.103.2-0.20.35.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    clamav-0.103.2-0.20.35.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    clamav-0.103.2-0.20.35.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2021-04-14 16:16:29 UTC
SUSE-SU-2021:1190-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1181256,1184532,1184533,1184534
CVE References: CVE-2021-1252,CVE-2021-1404,CVE-2021-1405
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    clamav-0.103.2-3.26.1
SUSE Manager Retail Branch Server 4.0 (src):    clamav-0.103.2-3.26.1
SUSE Manager Proxy 4.0 (src):    clamav-0.103.2-3.26.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    clamav-0.103.2-3.26.1
SUSE Linux Enterprise Server for SAP 15 (src):    clamav-0.103.2-3.26.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    clamav-0.103.2-3.26.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    clamav-0.103.2-3.26.1
SUSE Linux Enterprise Server 15-LTSS (src):    clamav-0.103.2-3.26.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    clamav-0.103.2-3.26.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    clamav-0.103.2-3.26.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    clamav-0.103.2-3.26.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    clamav-0.103.2-3.26.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    clamav-0.103.2-3.26.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    clamav-0.103.2-3.26.1
SUSE Enterprise Storage 6 (src):    clamav-0.103.2-3.26.1
SUSE CaaS Platform 4.0 (src):    clamav-0.103.2-3.26.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2021-04-14 16:19:01 UTC
SUSE-SU-2021:1189-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1181256,1184532,1184533,1184534
CVE References: CVE-2021-1252,CVE-2021-1404,CVE-2021-1405
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    clamav-0.103.2-33.35.1
SUSE OpenStack Cloud Crowbar 8 (src):    clamav-0.103.2-33.35.1
SUSE OpenStack Cloud 9 (src):    clamav-0.103.2-33.35.1
SUSE OpenStack Cloud 8 (src):    clamav-0.103.2-33.35.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    clamav-0.103.2-33.35.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    clamav-0.103.2-33.35.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    clamav-0.103.2-33.35.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    clamav-0.103.2-33.35.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    clamav-0.103.2-33.35.1
SUSE Linux Enterprise Server 12-SP2-LTSS-SAP (src):    clamav-0.103.2-33.35.1
SUSE Linux Enterprise Server 12-SP2-LTSS-ERICSSON (src):    clamav-0.103.2-33.35.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    clamav-0.103.2-33.35.1
HPE Helion Openstack 8 (src):    clamav-0.103.2-33.35.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2021-04-15 10:17:49 UTC
openSUSE-SU-2021:0555-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1181256,1184532,1184533,1184534
CVE References: CVE-2021-1252,CVE-2021-1404,CVE-2021-1405
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    clamav-0.103.2-lp152.6.6.1
Comment 9 Carlos López 2022-06-10 12:35:41 UTC
Done, closing.